1

I'm trying to install CamlImages(http://gallium.inria.fr/camlimages/), I can't seem to get it to work by building it myself so I am trying to get it from the AUR.

My problem is, it has omake listed as a dependecy. The omake package in AUR does not work for Manjaro, so I installed omake manually. This does not solve things though, because when I try to build CamlImages with pamac, it still tries to install omake (which obviously fails).

Note: I have no experience with OCaml, I just need CamlImages to get this to work: http://cristal.inria.fr/whizzytex/whizzytex.html

1 Answer 1

3

AUR works with PKGBUILD files, which are the "recipes" for building a package. So you can simply remove omake from the PKGBUILD. You can get this file from https://aur.archlinux.org/packages/camlimages/ but you can also use yay(an AUR helper).

The following steps should work:

  1. Download PKGBUILD with yay -G camlimages
  2. In the PKGBUILD file, remove omake from makedepends
  3. Install package with makepkg -si

source

NB: the camlimages on AUR was last updated in 2015, so it might not be up-to-date. However, the PKGBUILD may give you some hints on how to build a new version.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .